Skip to main content
GET
/
api
/
v1
/
time-bookings
cURL
curl --request GET \
  --url https://api.example.com/api/v1/time-bookings
import requests

url = "https://api.example.com/api/v1/time-bookings"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v1/time-bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "days": [
      {
        "date": "2023-12-25",
        "targetTime": 123,
        "bookedTime": 123,
        "chargeableTime": 123,
        "bookings": [
          {
            "time": "2023-11-07T05:31:56Z",
            "key": "<string>"
          }
        ]
      }
    ]
  }
]
This endpoint only works if your environment has been updated to BDERest version 63.11.20 or higher. If you are unsure of your BDERest version, you can check it in the Platform under Administration > Time & Security > Status.

Query Parameters

from
string<date>
required
Example:

"2025-01-01"

to
string<date>
Example:

"2025-01-31"

modifiedSince
string<date-time>

Only time bookings that have changed since this date.

Response

200 - application/json

OK

personId
string<uuid>
days
CalendarDay · object[]

Time Bookings grouped by day (Formerly timeAccountDays)

Time bookings have their own unit, but the daily totals are always in hours and minutes. The decimal part corresponds to minutes. For example, 90 minutes is displayed as 1.30.